Package org.eclipse.gef.mvc.fx.ui.parts

# Interface ISelectionProviderFactory

public interface ISelectionProviderFactory
A factory for the creation of an `ISelectionProvider`.

## Method Summary

Modifier and Type
Method
Description
`ISelectionProvider`
`create(IWorkbenchPart workbenchPart)`
Creates a new `ISelectionProvider` for the given `IWorkbenchPart`.

## Method Details

### create

ISelectionProvider create(IWorkbenchPart workbenchPart)
Creates a new `ISelectionProvider` for the given `IWorkbenchPart`.

Parameters:
  `workbenchPart` - The `IWorkbenchPart` the `ISelectionProvider` is related to.
Returns:
  A new `ISelectionProvider` instance.